Bug 212497 - www/kanboard: Update to 1.0.33
Summary: www/kanboard: Update to 1.0.33
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-08 21:22 UTC by Bart Wrobel
Modified: 2016-09-09 18:36 UTC (History)
0 users

See Also:


Attachments
patch to update from 1.0.32 to 1.0.33 (10.85 KB, patch)
2016-09-08 21:22 UTC, Bart Wrobel
no flags Details | Diff
testport, 10.3 amd-64 (26.26 KB, text/plain)
2016-09-08 21:31 UTC, Bart Wrobel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bart Wrobel 2016-09-08 21:22:48 UTC
Created attachment 174544 [details]
patch to update from 1.0.32 to 1.0.33

Version 1.0.33
--------------

New features:

* Move a task without drag and drop (smartphones and tablets)
* Add the possibility to unlock users from the user interface
* New API calls for task metadata
* New automatic actions:
    - Define color by Swimlane
    - Define priority by Swimlane

Improvements:

* Introduce Vue.js to manage user interface components
* Add column "Reference" and "Creator Name" in CSV task export
* Show both time spent and estimated on the board
* Store board collapsed mode user preference in the database
* Store comment sorting direction in the database
* Avoid tags overlapping on the board
* Show project name in notifications
* Allow priority changes for inverted priority scales
* Add the possibility to attach template hooks with local variables and callback
* Add "reference" hooks
* Show project name in task forms
* Convert vanilla CSS to SASS
* Make user interface more responsive for smartphones and tablets
* Support version operators for plugin directory: >= and >
* Update Spanish documentation

Other changes:

* Time spent (in hours) for subtasks are not rounded too the nearest quarter anymore

Bug fixes:

* Fix improper HTML escaping for textarea (potential XSS)
* Do not show closed tasks on public boards
* Fix undefined constant in config example file
* Fix PHP notice when sending overdue notifications
* Fix wrong project date format (shown as 01/01/1970)
- If the dates still not correct, modify and save the date
Comment 1 Bart Wrobel 2016-09-08 21:31:38 UTC
Created attachment 174546 [details]
testport, 10.3 amd-64
Comment 2 Dmitry Marakasov freebsd_committer 2016-09-09 18:26:17 UTC
Note that your distinfo lacks TIMESTAMP, which is not supported (you should generate it with fresh portstree) and USES=php is missing (you should add DEVELOPER=yes to your /etc/make.conf and check out port warnings).
Comment 3 commit-hook freebsd_committer 2016-09-09 18:26:18 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Sep  9 18:26:14 UTC 2016
New revision: 421623
URL: https://svnweb.freebsd.org/changeset/ports/421623

Log:
  - Update to 1.0.33
  - While here, add USES=php

  PR:		212497
  Submitted by:	bsd@if0.eu (maintainer)

Changes:
  head/www/kanboard/Makefile
  head/www/kanboard/distinfo
  head/www/kanboard/pkg-plist
Comment 4 commit-hook freebsd_committer 2016-09-09 18:36:20 UTC
A commit references this bug:

Author: amdmi3
Date: Fri Sep  9 18:35:40 UTC 2016
New revision: 421624
URL: https://svnweb.freebsd.org/changeset/ports/421624

Log:
  - Update to 0.9.5.1
  - While here, remove unneded WRKSRC and fix WWW:

  PR:		212497
  Submitted by:	fernando.apesteguia@gmail.com (maintainer)

Changes:
  head/graphics/converseen/Makefile
  head/graphics/converseen/distinfo
  head/graphics/converseen/pkg-descr